Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class ErrorPageTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.ErrorPageTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ErrorPageType<T>

    public class ErrorPageTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ErrorPageType<T>

This class implements the `error-pageType` xsd type

Original Documentation:

The error-pageType contains a mapping between an error code
or exception type to the path of a resource in the web
application.
Error-page declarations using the exception-type element in
the deployment descriptor must be unique up to the class name of
the exception-type. Similarly, error-page declarations using the
status-code element must be unique in the deployment descriptor
up to the status code.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ErrorPageTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ErrorPageTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.Integer` | `getErrorCode()` Returns the `error-code` element
`java.lang.String` | `getExceptionType()` Returns the `exception-type` element
`java.lang.String` | `getLocation()` Returns the `location` element
`ErrorPageType<T>` | `removeErrorCode()` Removes the `error-code` element
`ErrorPageType<T>` | `removeExceptionType()` Removes the `exception-type` element
`ErrorPageType<T>` | `removeLocation()` Removes the `location` element
`ErrorPageType<T>` | `setErrorCode(java.lang.Integer errorCode)` If not already created, a new `error-code` element with the given value will be created.
`ErrorPageType<T>` | `setExceptionType(java.lang.String exceptionType)` If not already created, a new `exception-type` element with the given value will be created.
`ErrorPageType<T>` | `setLocation(java.lang.String location)` If not already created, a new `location` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorPageTypeImpl

    public ErrorPageTypeImpl(T t,
                             java.lang.String nodeName,
                             org.jboss.shrinkwrap.descriptor.spi.Node node)

### ErrorPageTypeImpl

    public ErrorPageTypeImpl(T t,
                             java.lang.String nodeName,
                             org.jboss.shrinkwrap.descriptor.spi.Node node,
                             org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setLocation

    public ErrorPageType<T> setLocation(java.lang.String location)

  If not already created, a new `location` element with the given value will be created. Otherwise, the existing `location` element will be updated with the given value.

  Specified by:
    `setLocation` in interface `ErrorPageType<T>`
  Returns:
    the current instance of `ErrorPageType`

### removeLocation

    public ErrorPageType<T> removeLocation()

  Removes the `location` element

  Specified by:
    `removeLocation` in interface `ErrorPageType<T>`
  Returns:
    the current instance of `ErrorPageType`

### getLocation

    public java.lang.String getLocation()

  Returns the `location` element

  Specified by:
    `getLocation` in interface `ErrorPageType<T>`
  Returns:
    the node defined for the element `location`

### setErrorCode

    public ErrorPageType<T> setErrorCode(java.lang.Integer errorCode)

  If not already created, a new `error-code` element with the given value will be created. Otherwise, the existing `error-code` element will be updated with the given value.

  Specified by:
    `setErrorCode` in interface `ErrorPageType<T>`
  Returns:
    the current instance of `ErrorPageType`

### removeErrorCode

    public ErrorPageType<T> removeErrorCode()

  Removes the `error-code` element

  Specified by:
    `removeErrorCode` in interface `ErrorPageType<T>`
  Returns:
    the current instance of `ErrorPageType`

### getErrorCode

    public java.lang.Integer getErrorCode()

  Returns the `error-code` element

  Specified by:
    `getErrorCode` in interface `ErrorPageType<T>`
  Returns:
    the node defined for the element `error-code`

### setExceptionType

    public ErrorPageType<T> setExceptionType(java.lang.String exceptionType)

  If not already created, a new `exception-type` element with the given value will be created. Otherwise, the existing `exception-type` element will be updated with the given value.

  Specified by:
    `setExceptionType` in interface `ErrorPageType<T>`
  Returns:
    the current instance of `ErrorPageType`

### removeExceptionType

    public ErrorPageType<T> removeExceptionType()

  Removes the `exception-type` element

  Specified by:
    `removeExceptionType` in interface `ErrorPageType<T>`
  Returns:
    the current instance of `ErrorPageType`

### getExceptionType

    public java.lang.String getExceptionType()

  Returns the `exception-type` element

  Specified by:
    `getExceptionType` in interface `ErrorPageType<T>`
  Returns:
    the node defined for the element `exception-type`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD